#!/usr/bin/env python

from distutils.core import setup

setup(name='apt-zeroconf',
    version='0.5.1',
    author='Apt-Zeroconf Launchpad Team',
    author_email='apt-zeroconf@lists.launchpad.net',
    maintainer='Jeremy AustinBardo',
    maintainer_email='ausimage@ubuntu.com',
    license='GPL v2 or later',
    url="http://launchpad.net/apt-zeroconf",
    description="Apt-ZeroConf is a caching peer-to-peer apt proxy for local "
        "networks.",
    long_description="Apt-zeroconf is an extension to apt which enables it to "
        "find other instances on the LAN in order to exchange debian package "
        "files and not to fetch them from the internet.",
    requires = ['apt', 'avahi', 'dbus', 'pyinotify'],
    packages=['aptzeroconf'],
    scripts=['apt-zeroconf'],
    data_files=[
            ('/usr/share/apt-zeroconf', ['support/apt-zeroconf.apt.conf']),
            ('/usr/share/apt-zeroconf/pages', ['pages/host.html', 
            'pages/index.html', 'pages/list.html', 'pages/stats.html']),
            ('/etc/azc', ['support/apt-zeroconf.conf']),
            ('/etc/ufw/applications.d/', ['support/azc_rule']),
        ],
)
