#!/bin/bash
##########   FoKoN 9.10   ###########\
# Intégration de poste Ubuntu 9.04   #
# dans un domaine Active Directory   #
# géré par IACA.                     #
#------------------------------------#
# Script : integration.sh            #
# Installe les paquets nécessaires à #
# Likewise Open, puis Likewise Open. #
# Utilise Likewise Open pour l'inté- #
# gration du poste dans le domaine.  #
#------------------------------------#
# Auteur : Claude CLERC              #
# <claude.clerc@ac-aix-marseille.fr> #
# Site : http://www.fokon.org        #
# Licence : CeCILL - GPL 2.0         #
#####################################/

FOKONDIR=`dirname $0`	# Dossier de ce script.
# On intègre les vérifications d'usage:
. ${FOKONDIR}/common.sh

[ -f ${FOKONDIR}/variables ] || { 
	exit 1
}

. ${FOKONDIR}/variables

TEMPLATES=${FOKONDIR}/templates

### Installation des paquets nécessaires
# On se place dans le dossier deb, sans rien écrire sur la console :
pushd ${FOKONDIR}/deb > /dev/null
# On installe tous les paquets qui s'y trouvent :
echo "y" | /usr/bin/dpkg -i -G -E `ls -1A`
# On se replace dans le dossier parent, sans rien écrire sur la console :
popd > /dev/null

### Installation de Likewise Open
# (téléchargé sur http://www.likewise.com/community/index.php/download/)
chmod a+x ${FOKONDIR}/LikewiseOpen/*
[ "${ARCHI}" = "32" ] && {
	${FOKONDIR}/LikewiseOpen/LikewiseIdentityServiceOpen-5.3.0.7709-linux-i386-deb-installer --mode unattended
	${FOKONDIR}/LikewiseOpen/LikewiseDomainJoinGui-5.3.0.7709-linux-i386-deb-installer --mode unattended
}
[ "${ARCHI}" = "32" ] || {
	${FOKONDIR}/LikewiseOpen/LikewiseIdentityServiceOpen-5.3.0.7709-linux-x86_64-deb-installer --mode unattended
	${FOKONDIR}/LikewiseOpen/LikewiseDomainJoinGui-5.3.0.7709-linux-x86_64-deb-installer --mode unattended
}
rm -f "${RACINE}/${HOME}/Bureau/Likewise Domain Join Tool.desktop"
cp "${FOKONDIR}/Likewise Open.desktop" ${RACINE}/${HOME}/Bureau/
chown ${HOME:6}:${HOME:6} "${RACINE}/${HOME}/Bureau/Likewise Open.desktop"
chmod 750 "${RACINE}/${HOME}/Bureau/Likewise Open.desktop"

### Intégration du poste dans le domaine
/opt/likewise/bin/domainjoin-cli setname ${NOMPOSTE}
/opt/likewise/bin/domainjoin-cli join ${DOMAINE} ${ADMIN_DOMAINE_ID} ${ADMIN_DOMAINE_MDP}
/opt/likewise/bin/domainjoin-cli query

### Mise à jour de /etc/pam.d
liste_f="etc/pam.d/common-account etc/pam.d/common-auth etc/pam.d/common-pammount etc/pam.d/common-session etc/pam.d/gdm etc/likewise/lsassd.conf"
copie
# on prend en compte la nouvelle configuration de likewise :
/opt/likewise/bin/lw-refresh-configuration

### Mise à jour de /etc/security
liste_f="etc/security/pam_mount.conf.xml"
transforme

### Mappage des groupes :
sudo net groupmap add ntgroup="utilisa.^du^domaine" unixgroup="users" type=local
sudo net groupmap add ntgroup="utilisa.^du^domaine" unixgroup="cdrom" type=local
sudo net groupmap add ntgroup="utilisa.^du^domaine" unixgroup="audio" type=local
sudo net groupmap add ntgroup="utilisa.^du^domaine" unixgroup="floppy" type=local

sudo net groupmap add ntgroup="adminmod" unixgroup="admin" type=local

sudo net groupmap add ntgroup="admins^du^domaine" unixgroup="admin" type=local
sudo net groupmap add ntgroup="admins^du^domaine" unixgroup="root" type=local

### Mettre le groupe adminmod dans les sudoers
chmod 640 ${RACINE}/etc/sudoers
liste_f="etc/sudoers"
transforme
chown root:root ${RACINE}/etc/sudoers
chmod 440 ${RACINE}/etc/sudoers

